Skip to content
ShaireDevelopers

access

4 endpoints.

get/api/access/grants#

Query

resourceTypestring*
folderlist
resourceIdstring · uuid*
Request
curl https://api.shairelabs.com/api/access/grants?resourceType=folder&resourceId=00000000-0000-0000-0000-000000000000 \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · ResourceAccess

resourceTypestring*
folderlist
resourceIdstring · uuid*
privateboolean*
effectiveLevelstring*
readcommenteditfull
grantsobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
resourceTypestring*
folderlist
resourceIdstring · uuid*
subjectTypestring*
userteam
subjectIdstring · uuid*
levelstring*
readcommenteditfull
createdAtstring*
inheritedobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
resourceTypestring*
folderlist
resourceIdstring · uuid*
subjectTypestring*
userteam
subjectIdstring · uuid*
levelstring*
readcommenteditfull
createdAtstring*
fromFolderIdstring · uuid*
fromNamestring*

Also answers 401 and 403. SeeErrors.

put/api/access/grants#

Body

resourceTypestring*
folderlist
resourceIdstring · uuid*
subjectTypestring*
userteam
subjectIdstring · uuid*
levelstring*
readcommenteditfull
Request
curl https://api.shairelabs.com/api/access/grants \
  -X PUT \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"resourceType":"folder","resourceId":"00000000-0000-0000-0000-000000000000","subjectType":"user","subjectId":"00000000-0000-0000-0000-000000000000","level":"read"}'

Response · 200 · Grant

idstring · uuid*
workspaceIdstring · uuid*
resourceTypestring*
folderlist
resourceIdstring · uuid*
subjectTypestring*
userteam
subjectIdstring · uuid*
levelstring*
readcommenteditfull
createdAtstring*

Also answers 401 and 403. SeeErrors.

delete/api/access/grants/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/access/grants/$GRANT_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

get/api/access/me#

Request
curl https://api.shairelabs.com/api/access/me \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · MyAccess

rolestring*
owneradminmemberguest
unrestrictedboolean*
foldersobject*
[key: string]string
readcommenteditfull
listsobject*
[key: string]string
readcommenteditfull

Also answers 401 and 403. SeeErrors.